@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Regular.woff") format("woff2"),
    url("../fonts/Roboto-Regular.woff") format("woff");
  font-display: swap;
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Roboto";
  src: url("../fonts/Roboto-Bold.woff2") format("woff2"),
    url("../fonts/Roboto-Bold.woff") format("woff");
  font-display: swap;
  font-weight: 600;
  font-style: normal;
}

/*
    Desktop layout
*/
:root {
  --brand-color: #3f2aff;
  --white-color: #fff;
  --active-color: #ffd700;
  --advantages-title-color: #2e2b44;
  --advantages-text-color: #666;
  --teachers-bg-color: #212133;
  --teachers-description-color: #85859b;
  --courses-titles-color: #212133;
  --courses-bg-color: #edf0f9;
  --courses-description-color: #666;
  --footer-bg-color: #2e2b44;
  --footer-copyright-color: #2e2b44;
}

* {
  box-sizing: border-box;
}

html {
  font-family: "Roboto", roboto;
}

p {
  margin: 0;
}

a {
  text-decoration: none;
  color: var(--white-color);
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

img {
  max-width: 100%;
}

h1,
h2,
h3 {
  margin: 0;
}

.container-fluid {
  max-width: 1190px;
  padding-left: 39px;
  padding-right: 35px;
}

.row {
  --bs-gutter-x: 1.5rem;
  /* version for pixels */
  /* --bs-gutter-x: 24px; */
}

.container-title {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 100%;
  /* letter-spacing: 0; */
}

.btn {
  display: inline-block;
  background-color: var(--brand-color);
  border-radius: 20px;
  font-weight: 700;
  font-size: 18px;
  line-height: 21px;
  border: 2px solid var(--brand-color);
  transition-property: color, border-color;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  position: relative;
  z-index: 0;
  overflow: hidden;
}

.btn:hover {
  color: var(--brand-color);
  border-color: var(--white-color);
}

.btn:after {
  content: "";
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 0;
  top: 50%;
  left: 50%;
  background: var(--white-color);
  opacity: 0;
  transform: translateX(-50%) translateY(-50%);
  transition-property: height, opacity;
  transition-duration: 0.3s;
  transition-timing-function: ease;
}

.btn:hover:after {
  height: 100%;
  opacity: 1;
}

.btn:focus {
  border-color: var(--white-color);
}

.btn:active {
  border-color: var(--active-color);
}

/* Header */
.header {
  background-color: var(--brand-color);
}

.header__container {
  display: flex;
  justify-content: space-between;
  padding-top: 28px;
  padding-bottom: 29px;
}

.header__container-left {
  flex: 0 1 20%;
}

.header__container-right {
  flex: 0 1 80%;
}

.header__burger-menu-button {
  display: none;
}

.header__nav-list {
  display: flex;
  justify-content: end;
}

.header__nav-item:not(:last-child) {
  margin-right: 44px;
}

.header__nav-link {
  position: relative;
  padding: 4px;
  color: var(--white-color);
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 21px;
  border: 2px solid var(--brand-color);
  transition: border-color 0.3s ease;
}

.header__nav-link::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  width: auto;
  height: 2px;
  background: var(--brand-color);
  transition: background 0.3s ease;
}

.header__nav-link-active::after {
  background: var(--active-color);
}

.header__nav-link:hover::after {
  background: var(--white-color);
}

.header__nav-link:hover {
  color: rgb(237, 227, 255);
}

.header__nav-link:focus {
  border-color: var(--white-color);
}

.header__nav-link:active::after {
  background: var(--active-color);
}

/* Hero */
.hero {
  background: radial-gradient(
    44.07% 44.07% at 67.78% 55.93%,
    #555681 0%,
    #212133 100%
  );
}

.hero__item {
  position: relative;
}

.hero__item-info {
  max-width: 460px;
  padding-top: 128px;
  padding-bottom: 127px;
}

.hero__item-info-up {
  margin-bottom: 62px;
}

.hero__item-title {
  color: var(--white-color);
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 60px;
  line-height: 100%;
  /* letter-spacing: 2.5px; */
  margin-bottom: 28px;
}

.hero__item-description {
  color: var(--white-color);
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  /* letter-spacing: 0; */
}

.hero__item-link {
  color: var(--white-color);
  padding-top: 23px;
  padding-right: 74px;
  padding-bottom: 22px;
  padding-left: 74px;
  /* letter-spacing: 0.8px; */
}

.hero__item-img {
  position: absolute;
  top: 13px;
  right: 4px;
}

/* Advantages */
.advantages {
  padding-top: 80px;
  padding-bottom: 79px;
}

.advantages__up {
  display: flex;
}

.advantages__img-box {
  min-width: 160px;
  margin-right: 31px;
}

.advantages__img {
  margin-top: 21px;
}

.advantages__text-block {
  max-width: 576px;
}

.advantages__container-title {
  margin-bottom: 16px;
  color: var(--advantages-title-color);
}

.advantages__container-description {
  margin-bottom: 24px;
  color: var(--advantages-text-color);
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  /* letter-spacing: 0em; */
}

.advantages__item {
  display: flex;
  align-items: center;
}

.advantages__item-img {
  margin-right: 30px;
}

.advantages__item-description {
  color: var(--advantages-text-color);
  font-size: 16px;
  font-weight: 700;
  line-height: 19px;
  /* letter-spacing: 0em; */
}

/* Teachers */
.teachers {
  padding-top: 77px;
  padding-bottom: 52px;
  background-color: var(--teachers-bg-color);
}

.teachers__container-title {
  margin-bottom: 25px;
  color: var(--white-color);
}

.teachers__item-column {
  margin-bottom: 23px;
}

.teachers__item-img {
  margin-bottom: 27px;
  border-radius: 20px 20px 0px 0px;
}

.teachers__item-name {
  margin-left: 1px;
  margin-bottom: 7px;
  color: var(--white-color);
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 18px;
  line-height: 150%;
  /* letter-spacing: 0em; */
}

.teachers__item-description {
  padding-right: 7px;
  color: var(--teachers-description-color);
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  /* letter-spacing: 0em; */
}

/* Courses */
.courses {
  padding-top: 74px;
  padding-bottom: 51px;
}

.courses__container-title {
  margin-bottom: 24px;
}

.courses__item-column {
  margin-bottom: 33px;
  padding-right: 17px;
}

.courses__item {
  position: relative;
  height: 100%;
  background-color: var(--courses-bg-color);
  display: flex;
  flex-direction: column;
  border-radius: 0px 0px 20px 20px;
}

.courses__item-img {
  width: 100%;
}

.courses__item-label {
  position: absolute;
  top: 13px;
  right: 5px;
  padding-left: 29px;
  color: var(--white-color);
  font-size: 16px;
  font-weight: 400;
  line-height: 20px;
  /* letter-spacing: 0em; */
  background-image: url("../img/svg/courses-label-time.svg");
  background-repeat: no-repeat;
  background-position: left center;
}

.courses__item-info {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  padding-top: 27px;
  padding-right: 30px;
  padding-bottom: 30px;
  padding-left: 30px;
}

.courses__item-title {
  color: var(--courses-titles-color);
  margin-bottom: 6px;
  font-size: 18px;
  font-weight: 700;
  line-height: 27px;
  /* letter-spacing: 0em; */
}

.courses__item-description {
  flex: 1;
  color: var(--courses-description-color);
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  /* letter-spacing: 0em; */
}

.courses__item-link {
  color: var(--white-color);
  margin-top: 50px;
  padding-top: 18px;
  padding-right: 57px;
  padding-bottom: 17px;
  padding-left: 58px;
  font-family: "Roboto";
  font-style: normal;
  font-weight: 700;
  font-size: 16px;
  line-height: 19px;
  text-align: center;
  /* letter-spacing: 0; */
}

/* Footer */
.footer__top {
  background-color: var(--footer-bg-color);
}

.footer__socials {
  display: flex;
  justify-content: center;
  padding-top: 28px;
  padding-bottom: 27px;
}

.footer__socials-item {
  font-size: 0;
}

.footer__socials-item:not(:last-child) {
  margin-right: 31px;
}

.footer__socials-link {
  display: inline-block;
  border: 2px solid var(--footer-bg-color);
  transition: border-color 0.3s ease;
}

.footer__socials-link path {
  transition: fill 0.3s ease;
}

.footer__socials-link:hover path {
  fill: var(--brand-color);
}

.footer__socials-item_fb:hover path {
  fill: #3b5998;
}

.footer__socials-item_twitter:hover path {
  fill: #00acee;
}

.footer__socials-item_inst:hover path {
  fill: #f09433;
}

.footer__socials-item_youtube:hover path {
  fill: #ff0000;
}

.footer__socials-link:focus {
  border-color: var(--white-color);
}

.footer__socials-link:active {
  border-color: var(--active-color);
}

.footer-bottom-text {
  padding: 3px 0px;
  text-align: center;
  font-size: 13px;
  font-weight: 400;
  line-height: 15px;
  /* letter-spacing: 0em; */
}
